# Interface LocalCrs

All Superinterfaces:
  `Crs`

public interface LocalCrs extends Crs
Represents a TFCat Local CRS (Coordinate Reference System) structure.

Since:
  28 Jun 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getRefPositionId()`
Returns the reference position ID for this CRS.
`SpectralCoords`
`getSpectralCoords()`
Returns the spectral coordinate system description for this CRS.
`TimeCoords`
`getTimeCoords()`
Returns the time coordinate system description for this CRS.
`String`
`getTimeCoordsId()`
Returns the standard time coordinate system identifier for this CRS.

### Methods inherited from interface Crs

`getCrsType`

## Method Details

### getTimeCoordsId

String getTimeCoordsId()
Returns the standard time coordinate system identifier for this CRS. May be null if the `time_coords` property was supplied.

Returns:
  time coords ID

### getTimeCoords

TimeCoords getTimeCoords()
Returns the time coordinate system description for this CRS.

For a legal LocalCrs instance this should always be non-null; if the `time_coords_id` property has been supplied instead of the `time_coords` property, the return value will be one of the pre-defined instances.

Returns:
  time coords object

### getSpectralCoords

SpectralCoords getSpectralCoords()
Returns the spectral coordinate system description for this CRS.

Returns:
  spectral coords object

### getRefPositionId

String getRefPositionId()
Returns the reference position ID for this CRS.

Returns:
  refernce position ID